com.independentsoft.exchange

## Class AppointmentPropertyPath

- java.lang.Object
- - com.independentsoft.exchange.ItemPropertyPath
  - - com.independentsoft.exchange.AppointmentPropertyPath

-     public class AppointmentPropertyPath
      extends ItemPropertyPath

  The Class AppointmentPropertyPath.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static UnindexedPropertyPath` | `ADJACENT_MEETING_COUNT`
    `static UnindexedPropertyPath` | `ADJACENT_MEETINGS`
    `static UnindexedPropertyPath` | `ALLOW_NEW_TIME_PROPOSAL`
    `static PropertyTag` | `BODY_RTF`
    `static PropertyId` | `BUSY_STATUS`
    `static PropertyId` | `COMMON_END_TIME`
    `static PropertyId` | `COMMON_START_TIME`
    `static UnindexedPropertyPath` | `CONFERENCE_TYPE`
    `static UnindexedPropertyPath` | `CONFLICTING_MEETING_COUNT`
    `static UnindexedPropertyPath` | `CONFLICTING_MEETINGS`
    `static UnindexedPropertyPath` | `DATE_TIME_STAMP`
    `static UnindexedPropertyPath` | `DELETED_OCCURRENCES`
    `static UnindexedPropertyPath` | `DURATION`
    `static UnindexedPropertyPath` | `END_TIME`
    `static UnindexedPropertyPath` | `END_TIME_ZONE`
    `static UnindexedPropertyPath` | `END_WALL_CLOCK`
    `static UnindexedPropertyPath` | `ENHANCED_LOCATION`
    `static UnindexedPropertyPath` | `FIRST_OCCURRENCE`
    `static UnindexedPropertyPath` | `INSTANCE_TYPE`
    `static UnindexedPropertyPath` | `IS_ALL_DAY_EVENT`
    `static UnindexedPropertyPath` | `IS_CANCELLED`
    `static UnindexedPropertyPath` | `IS_MEETING`
    `static UnindexedPropertyPath` | `IS_ONLINE_MEETING`
    `static PropertyId` | `IS_PRIVATE`
    `static UnindexedPropertyPath` | `IS_RECURRING`
    `static UnindexedPropertyPath` | `IS_RESPONSE_REQUESTED`
    `static UnindexedPropertyPath` | `JOIN_ONLINE_MEETING_URL`
    `static PropertyId` | `LABEL`
    `static UnindexedPropertyPath` | `LAST_OCCURRENCE`
    `static UnindexedPropertyPath` | `LEGACY_FREE_BUSY_STATUS`
    `static UnindexedPropertyPath` | `LOCATION`
    `static UnindexedPropertyPath` | `MEETING_REQUEST_WAS_SENT`
    `static PropertyId` | `MEETING_STATUS`
    `static UnindexedPropertyPath` | `MEETING_TIME_ZONE`
    `static UnindexedPropertyPath` | `MEETING_WORKSPACE_URL`
    `static UnindexedPropertyPath` | `MODIFIED_OCCURRENCES`
    `static UnindexedPropertyPath` | `MY_RESPONSE`
    `static UnindexedPropertyPath` | `NET_SHOW_URL`
    `static UnindexedPropertyPath` | `ONLINE_MEETING_SETTINGS`
    `static UnindexedPropertyPath` | `OPTIONAL_ATTENDEES`
    `static UnindexedPropertyPath` | `ORGANIZER`
    `static UnindexedPropertyPath` | `ORIGINAL_START_TIME`
    `static PropertyTag` | `PRIORITY`
    `static UnindexedPropertyPath` | `RECURRENCE`
    `static PropertyId` | `RECURRENCE_END`
    `static UnindexedPropertyPath` | `RECURRENCE_ID`
    `static PropertyId` | `RECURRENCE_PATTERN`
    `static PropertyId` | `RECURRENCE_START`
    `static UnindexedPropertyPath` | `REMINDER_NEXT_TIME`
    `static PropertyId` | `REMINDER_OVERRIDE_DEFAULT`
    `static PropertyId` | `REMINDER_PLAY_SOUND`
    `static PropertyId` | `REMINDER_SOUND_FILE`
    `static UnindexedPropertyPath` | `REPLY_TIME`
    `static UnindexedPropertyPath` | `REQUIRED_ATTENDEES`
    `static UnindexedPropertyPath` | `RESOURCES`
    `static PropertyId` | `RESPONSE_STATUS`
    `static UnindexedPropertyPath` | `SEQUENCE_NUMBER`
    `static UnindexedPropertyPath` | `START_TIME`
    `static UnindexedPropertyPath` | `START_TIME_ZONE`
    `static UnindexedPropertyPath` | `START_WALL_CLOCK`
    `static UnindexedPropertyPath` | `STATE`
    `static UnindexedPropertyPath` | `TIME_ZONE`
    `static UnindexedPropertyPath` | `UID`
    `static UnindexedPropertyPath` | `WHEN`

    - ### Fields inherited from class com.independentsoft.exchange.ItemPropertyPath

      `ARCHIVE_TAG, ATTACHMENTS, BLOCK_STATUS, BODY, BODY_HTML_TEXT, BODY_PLAIN_TEXT, CATEGORIES, COMMENT, CONVERSATION_ID, CREATED_TIME, CULTURE, DISPLAY_NAME, EFFECTIVE_RIGHTS, ENTITY_EXTRACTION_RESULT, ENTRY_ID, FLAG, GROUPING_ACTION, HAS_ATTACHMENTS, HAS_BLOCKED_IMAGES, ICON_INDEX, IMPORTANCE, INSTANCE_KEY, IS_ASSOCIATED, IS_HIDDEN, ITEM_CLASS, ITEM_ID, LAST_MODIFIED_TIME, LAST_MODIFIER_NAME, MIME_CONTENT, NEXT_PREDICTED_ACTION, PARENT_ID, PREVIEW, REMINDER_DUE_BY, REMINDER_IS_SET, REMINDER_MINUTES_BEFORE_START, RETENTION_DATE, RETENTION_TAG, SEARCH_KEY, SENSITIVITY, SIZE, STORE_ENTRY_ID, SUBJECT, TEXT_BODY, UNIQUE_BODY, WEB_CLIENT_EDIT_FORM_QUERY_STRING, WEB_CLIENT_READ_FORM_QUERY_STRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<PropertyPath>` | `getAllPropertyPaths()` Gets the all property paths.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REMINDER_NEXT_TIME

          public static final UnindexedPropertyPath REMINDER_NEXT_TIME

    - #### START_WALL_CLOCK

          public static final UnindexedPropertyPath START_WALL_CLOCK

    - #### END_WALL_CLOCK

          public static final UnindexedPropertyPath END_WALL_CLOCK

    - #### UID

          public static final UnindexedPropertyPath UID

    - #### RECURRENCE_ID

          public static final UnindexedPropertyPath RECURRENCE_ID

    - #### DATE_TIME_STAMP

          public static final UnindexedPropertyPath DATE_TIME_STAMP

    - #### START_TIME

          public static final UnindexedPropertyPath START_TIME

    - #### END_TIME

          public static final UnindexedPropertyPath END_TIME

    - #### ORIGINAL_START_TIME

          public static final UnindexedPropertyPath ORIGINAL_START_TIME

    - #### IS_ALL_DAY_EVENT

          public static final UnindexedPropertyPath IS_ALL_DAY_EVENT

    - #### LEGACY_FREE_BUSY_STATUS

          public static final UnindexedPropertyPath LEGACY_FREE_BUSY_STATUS

    - #### LOCATION

          public static final UnindexedPropertyPath LOCATION

    - #### WHEN

          public static final UnindexedPropertyPath WHEN

    - #### IS_MEETING

          public static final UnindexedPropertyPath IS_MEETING

    - #### IS_CANCELLED

          public static final UnindexedPropertyPath IS_CANCELLED

    - #### IS_RECURRING

          public static final UnindexedPropertyPath IS_RECURRING

    - #### MEETING_REQUEST_WAS_SENT

          public static final UnindexedPropertyPath MEETING_REQUEST_WAS_SENT

    - #### IS_RESPONSE_REQUESTED

          public static final UnindexedPropertyPath IS_RESPONSE_REQUESTED

    - #### INSTANCE_TYPE

          public static final UnindexedPropertyPath INSTANCE_TYPE

    - #### MY_RESPONSE

          public static final UnindexedPropertyPath MY_RESPONSE

    - #### ORGANIZER

          public static final UnindexedPropertyPath ORGANIZER

    - #### REQUIRED_ATTENDEES

          public static final UnindexedPropertyPath REQUIRED_ATTENDEES

    - #### OPTIONAL_ATTENDEES

          public static final UnindexedPropertyPath OPTIONAL_ATTENDEES

    - #### RESOURCES

          public static final UnindexedPropertyPath RESOURCES

    - #### CONFLICTING_MEETING_COUNT

          public static final UnindexedPropertyPath CONFLICTING_MEETING_COUNT

    - #### ADJACENT_MEETING_COUNT

          public static final UnindexedPropertyPath ADJACENT_MEETING_COUNT

    - #### CONFLICTING_MEETINGS

          public static final UnindexedPropertyPath CONFLICTING_MEETINGS

    - #### ADJACENT_MEETINGS

          public static final UnindexedPropertyPath ADJACENT_MEETINGS

    - #### DURATION

          public static final UnindexedPropertyPath DURATION

    - #### TIME_ZONE

          public static final UnindexedPropertyPath TIME_ZONE

    - #### REPLY_TIME

          public static final UnindexedPropertyPath REPLY_TIME

    - #### SEQUENCE_NUMBER

          public static final UnindexedPropertyPath SEQUENCE_NUMBER

    - #### STATE

          public static final UnindexedPropertyPath STATE

    - #### RECURRENCE

          public static final UnindexedPropertyPath RECURRENCE

    - #### FIRST_OCCURRENCE

          public static final UnindexedPropertyPath FIRST_OCCURRENCE

    - #### LAST_OCCURRENCE

          public static final UnindexedPropertyPath LAST_OCCURRENCE

    - #### MODIFIED_OCCURRENCES

          public static final UnindexedPropertyPath MODIFIED_OCCURRENCES

    - #### DELETED_OCCURRENCES

          public static final UnindexedPropertyPath DELETED_OCCURRENCES

    - #### MEETING_TIME_ZONE

          public static final UnindexedPropertyPath MEETING_TIME_ZONE

    - #### START_TIME_ZONE

          public static final UnindexedPropertyPath START_TIME_ZONE

    - #### END_TIME_ZONE

          public static final UnindexedPropertyPath END_TIME_ZONE

    - #### CONFERENCE_TYPE

          public static final UnindexedPropertyPath CONFERENCE_TYPE

    - #### ALLOW_NEW_TIME_PROPOSAL

          public static final UnindexedPropertyPath ALLOW_NEW_TIME_PROPOSAL

    - #### IS_ONLINE_MEETING

          public static final UnindexedPropertyPath IS_ONLINE_MEETING

    - #### MEETING_WORKSPACE_URL

          public static final UnindexedPropertyPath MEETING_WORKSPACE_URL

    - #### NET_SHOW_URL

          public static final UnindexedPropertyPath NET_SHOW_URL

    - #### ENHANCED_LOCATION

          public static final UnindexedPropertyPath ENHANCED_LOCATION

    - #### JOIN_ONLINE_MEETING_URL

          public static final UnindexedPropertyPath JOIN_ONLINE_MEETING_URL

    - #### ONLINE_MEETING_SETTINGS

          public static final UnindexedPropertyPath ONLINE_MEETING_SETTINGS

    - #### IS_PRIVATE

          public static final PropertyId IS_PRIVATE

    - #### BUSY_STATUS

          public static final PropertyId BUSY_STATUS

    - #### MEETING_STATUS

          public static final PropertyId MEETING_STATUS

    - #### RESPONSE_STATUS

          public static final PropertyId RESPONSE_STATUS

    - #### COMMON_START_TIME

          public static final PropertyId COMMON_START_TIME

    - #### COMMON_END_TIME

          public static final PropertyId COMMON_END_TIME

    - #### REMINDER_OVERRIDE_DEFAULT

          public static final PropertyId REMINDER_OVERRIDE_DEFAULT

    - #### REMINDER_PLAY_SOUND

          public static final PropertyId REMINDER_PLAY_SOUND

    - #### REMINDER_SOUND_FILE

          public static final PropertyId REMINDER_SOUND_FILE

    - #### LABEL

          public static final PropertyId LABEL

    - #### RECURRENCE_PATTERN

          public static final PropertyId RECURRENCE_PATTERN

    - #### RECURRENCE_START

          public static final PropertyId RECURRENCE_START

    - #### RECURRENCE_END

          public static final PropertyId RECURRENCE_END

    - #### PRIORITY

          public static final PropertyTag PRIORITY

    - #### BODY_RTF

          public static final PropertyTag BODY_RTF

  - ### Method Detail

    - #### getAllPropertyPaths

          public static java.util.List<PropertyPath> getAllPropertyPaths()

      Gets the all property paths.
      Returns:
        the all property paths